Subject: Re: [PATCH 00/12] Towards a better merge resolution support

From: Alex Riesen <[email-masked]>
Date: Mon, 1 Sep 2008 11:39:24 +0200

Junio C Hamano, Sat, Aug 30, 2008 02:42:31 +0200:
> The early part of the series is what you already saw.  In addition to
> recording a conflicted merge in the RCS merge style we have traditionally
> used, this allows you to optionally use "diff3 -m" style.  The difference
> is that the latter format shows the part from the common ancestor that
> corresponds to the parts both sides modified to cause the conflict, in
> addition to the changes done on each side.  This can be chosen by setting
> a configuration variable.  Rerere mechanism is updated to understand this
> new format as well, and conflicts from either formats interoperate well,
> because rerere mechanism only records and uses the changes made on each
> side, not what was in the common ancestor.
> 
> The last four patches are to "git checkout" that checks things out of the
> index.  ...

I like that and started using the patches. Do you have any specific
area I should pay a special attention to?